Saltar al contenido principal
GET
/
api
/
v1
/
dict
/
infractions
/
{id}
Obtener infracción DICT
curl --request GET \
  --url https://spi.sandbox.lerian.net/api/v1/dict/infractions/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/dict/infractions/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spi.sandbox.lerian.net/api/v1/dict/infractions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "<string>",
  "endToEndId": "<string>",
  "id": "<string>",
  "reason": "<string>",
  "reportStatus": "<string>",
  "reportedByISPB": "<string>",
  "status": "<string>",
  "updatedAt": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

JWT bearer token issued by the identity provider.

Parámetros de ruta

id
string
requerido

Infraction UUID

Respuesta

OK

Persisted local DICT infraction record

createdAt
string
requerido

Record creation timestamp (RFC 3339, UTC)

Ejemplo:

"2026-06-14T12:00:00Z"

endToEndId
string
requerido

BACEN end-to-end identifier (E2E ID) of the disputed PIX transaction

Ejemplo:

"E1234567820260614ABCDEFGHIJKLMNO"

id
string
requerido

Server-assigned infraction record UUID

Ejemplo:

"550e8400-e29b-41d4-a716-446655440000"

reason
string
requerido

Free-text justification for the infraction report

reportStatus
string
requerido

BACEN report delivery state: PENDING, SENT, or FAILED (FAILED is retryable; the local record stands)

Ejemplo:

"SENT"

reportedByISPB
string
requerido

ISPB (8 numeric digits) of the participant that reported the infraction

Ejemplo:

"12345678"

status
string
requerido

Local infraction lifecycle state: OPEN, ACKNOWLEDGED, CLOSED, or CANCELLED

Ejemplo:

"OPEN"

updatedAt
string
requerido

Last update timestamp (RFC 3339, UTC)

Ejemplo:

"2026-06-14T12:00:00Z"